ChannelDB2

How to fix compile errors of ibm_db2 with PHP 5.4.0

As soon as PHP 5.4.0 came out, I noticed that the native DB2 driver does not compile anymore.

The reason are changes in the Zend API.

Until a new package is released, you can use the following patch to compile the driver: ibm_db2.c.patch

Here is the entire file, just in case: ibm_db2.c

 

Update: A new package has been released on PECL, which includes the changes to compile the driver with PHP 5.4.

Views: 331

Comment

You need to be a member of ChannelDB2 to add comments!

Join ChannelDB2

Featured Downloads

Try BLU Acceleration on Cloud

© 2019   Created by channeldb2.   Powered by

Badges  |  Report an Issue  |  Terms of Service